using System;
using System.Data;
using SK.MemberDAL;

namespace SK.MemberBLL
{
	/// <summary>
	/// CustomTextSystem 的摘要说明。
	/// </summary>
	public class CustomTextSystem
	{
		CustomText txt = new CustomText();
		public CustomTextSystem()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}
		/// <summary>
		/// 添加自定义文本
		/// </summary>
		/// <param name="CustomName">名称</param>
		/// <param name="Content">内容</param>
		/// <returns></returns>
		public object Add(object CustomName,object Content)
		{
			return txt.Add(CustomName,Content);
		}
		/// <summary>
		/// 更新自定义文本
		/// </summary>
		/// <param name="CustomTextID">编号</param>
		/// <param name="CustomName">名称</param>
		/// <param name="Content">内容</param>
		public void Update(object CustomTextID,object CustomName,object Content)
		{
			txt.Update( CustomTextID, CustomName, Content);
		}
		/// <summary>
		/// 删除自定义文本
		/// </summary>
		/// <param name="CustomTextID">编号</param>
		public void Delete(object CustomTextID)
		{
			txt.Delete(CustomTextID);
		}
		/// <summary>
		/// 返回指定的自定义文本
		/// </summary>
		/// <param name="CustomTextID">编号</param>
		/// <returns></returns>
		public DataRow Info(object CustomTextID)
		{
			return txt.Info(CustomTextID);
		}
		/// <summary>
		/// 返回自定义文本列表
		/// </summary>
		/// <returns></returns>
		public DataSet List()
		{
			return txt.List();
		}
		/// <summary>
		/// 返回指定名称的自定义内容
		/// </summary>
		/// <param name="CustomName">自定义名称</param>
		/// <returns></returns>
		public string GetContent(object CustomName)
		{
			return txt.GetContent(CustomName);
		}
	}
}
